Yaf_Dispatcher
Yaf_Dispatcher::catchException
Yaf_Dispatcher
PHP Manual

# Yaf_Dispatcher::autoRender

Switch on/off autorendering

### Description

public Yaf_Dispatcher Yaf_Dispatcher::autoRender ([ bool `$flag` ] )

Yaf_Dispatcher will render automatically after dispatches a incoming request, you can prevent the rendering by calling this method with `flag` `TRUE`

> Note:

> you can simply return `FALSE` in a action to prevent the auto-rendering of that action

### Parameters

`flag`

  bool

  > Note:

  > since 2.2.0, if this parameter is not given, then the current state will be renturned

### Return Values

### Examples

Example #1 Yaf_Dispatcher::autoRenderexample

`<?php
class IndexController extends Yaf_Controller_Abstract {
/* init method will be called as soon as a controller is initialized */
public function init() {
if ($this->getRequest()->isXmlHttpRequest()) {
//do not call render for ajax request
//we will outpu a json string
Yaf_Dispatcher::getInstance()->autoRender(FALSE);
}
}
}
?>`

The above example will output something similar to: